@if (testCaseViewComponentData$ | async; as componentData) {
  <div>
    <div class="flex-row m-t-10">
      <div>
        <i
          [attr.data-test-element-id]="'toggle-call-step'"
          class="m-r-10"
          nz-icon
          [nzType]="callTestStep.extended ? 'caret-down' : 'caret-right'"
          nzTheme="outline"
          (click)="toggleStep(callTestStep)"
        ></i>
        {{ 'sqtm-core.entity.call-step.label' | translate }} "<a
          [attr.data-test-field-id]="'calledTestCase'"
          [routerLink]="getCalledTestCaseLink(callTestStep)"
          >{{ callTestStep.calledTcName }}</a
        >"
        {{ 'sqtm-core.entity.call-step.dataset.using-dataset' | translate }}
        @if (editable) {
          "<a
            [attr.data-test-field-id]="'dataset'"
            (click)="chooseDataset(componentData.testCase.name)"
            >{{ getDataSetLabel() }}</a
          >"
        } @else {
          <span>{{ getDataSetLabel() }}</span>
        }
      </div>
      <div
        #buttons
        class="flex-fixed-size action-buttons-wrapper step-list-element-buttons"
      >
        <div
          class="flex-row full-width action-buttons current-workspace-main-color"
        >
          <div>
            @if (editable) {
              <i
                class="m-r-5 tree-icon-size current-workspace-button"
                nz-icon
                nzType="sqtm-core-generic:plus"
                nzTheme="outline"
                (click)="addActionStepAfter(this.callTestStep.stepOrder)"
                nz-tooltip
                [nzTooltipTitle]="
                  'sqtm-core.test-case-workspace.test-steps.button.add-step'
                    | translate
                "
                [attr.data-test-button-id]="'addActionStepAfter'"
              ></i>
            }
          </div>
          <div>
            <i
              class="m-r-5 tree-icon-size current-workspace-button"
              nz-icon
              nzType="sqtm-core-generic:copy"
              nzTheme="outline"
              (click)="copyStep(this.callTestStep)"
              nz-tooltip
              [nzTooltipTitle]="
                'sqtm-core.test-case-workspace.test-steps.button.copy'
                  | translate
              "
              [attr.data-test-button-id]="'copy'"
            ></i>
          </div>
          @if (editable) {
            <sqtm-core-toggle-icon
              class="m-r-5"
              [active]="hasCopiedSteps$ | async"
              (clickedInActiveMode)="pasteStep(this.callTestStep)"
            >
              <i
                class="tree-icon-size"
                nz-icon
                nzType="sqtm-core-generic:paste"
                nzTheme="fill"
                nz-tooltip
                [nzTooltipTitle]="'sqtm-core.generic.label.paste' | translate"
                [attr.data-test-button-id]="'paste'"
              ></i>
            </sqtm-core-toggle-icon>
          }
          <div>
            @if (editable) {
              <i
                class="m-r-5 tree-icon-size current-workspace-button"
                nz-icon
                nzType="sqtm-core-generic:delete"
                nzTheme="outline"
                nz-tooltip
                [nzTooltipTitle]="'sqtm-core.generic.label.delete' | translate"
                (click)="deleteStep(this.callTestStep)"
                [attr.data-test-button-id]="'delete'"
              ></i>
            }
          </div>
          <div>
            <i
              [attr.data-test-toolbar-button-id]="'step-action-button'"
              class="m-r-5 tree-icon-size current-workspace-button"
              nz-icon
              nzType="sqtm-core-generic:more"
              nzTheme="outline"
              nz-dropdown
              [nzDropdownMenu]="menu"
              (nzVisibleChange)="onMenuVisibilityChange($event)"
            ></i>
          </div>
          <nz-dropdown-menu #menu="nzDropdownMenu">
            <ul [attr.data-test-menu-id]="'step-action-menu'" nz-menu>
              <li
                nz-menu-item
                [attr.data-test-menu-item-id]="'navigate-to-details'"
              >
                <a
                  style="text-decoration: none"
                  [routerLink]="[
                    '/',
                    'detailed-test-step',
                    callTestStep.testCaseId,
                    'step',
                    callTestStep.stepOrder
                  ]"
                >
                  {{
                    'sqtm-core.test-case-workspace.test-steps.button.details'
                      | translate
                  }}
                </a>
              </li>
            </ul>
          </nz-dropdown-menu>
        </div>
      </div>
    </div>
    @if (callTestStep.extended) {
      <table
        class="block-border p-l-10 m-t-10 m-r-10"
        style="table-layout: fixed"
        aria-label="Call test step"
      >
        <tr>
          <th class="index-column"></th>
          <th class="header-color rich-text-column">
            <span>{{
              'sqtm-core.entity.test-step.action.singular' | translate
            }}</span>
          </th>
          <th class="header-color rich-text-column m-r-10">
            <span>{{
              'sqtm-core.entity.test-step.expected-result.label' | translate
            }}</span>
          </th>
        </tr>
        @for (
          calledTestCaseStep of callTestStep.calledTestCaseSteps;
          track calledTestCaseStep
        ) {
          <tr>
            <td class="index-column">
              <span class="index-typography">{{
                getIndex(callTestStep, calledTestCaseStep)
              }}</span>
            </td>
            @if (calledTestCaseStep.kind === 'action-step') {
              <td
                class="rich-content rich-text-column"
                [innerHTML]="calledTestCaseStep['action'] | safeRichContent"
              ></td>
              <td
                class="rich-content rich-text-column m-r-10"
                [innerHTML]="
                  calledTestCaseStep['expectedResult'] | safeRichContent
                "
              ></td>
            }
            @if (calledTestCaseStep.kind === 'call-step') {
              <td colspan="2" class="sub-call">
                {{ 'sqtm-core.entity.call-step.label' | translate }}
                {{ calledTestCaseStep['calledTcName'] }}
              </td>
            }
          </tr>
        }
      </table>
    }
  </div>
}
